import java.awt.*;

public class FilelResultsApp extends Frame {

   // This is a simple frame which displays the results of the filelist command.
   // The results were stored (by the class SAFilelResults),
   // each string representing a row on the screen, in the class FileListData.

   Label Title;
   List resultsList;
   int i;

   public FilelResultsApp()
   {
   }

   public FilelResultsApp(CFilelData FileListData)
   {
      setLayout(new BorderLayout());
      resize(620, 350);
      
      //setBackground(new Color(225,225,225));
      setBackground(Color.lightGray);

      resultsList = new List(FileListData.iMaxItemsToShow,false);
      add("Center", resultsList);
      resultsList.setFont(new Font("Courier", Font.PLAIN, 12));

      for (i=0; i < FileListData.iNumberOfItemsToShow; i++)
      {
        resultsList.addItem(FileListData.SA_FileListResults[i]);
      }

      Title = new Label("File List Results");
      Title.setFont(new Font("Dialog", Font.BOLD, 18));
      add("North",Title);

      setTitle("File List Results");

      center(this);

   }

   static public void center(Window windowInstance) {
       Dimension screenSize = windowInstance.getToolkit().getScreenSize();
       Dimension windowSize = windowInstance.size();
       windowInstance.move((screenSize.width / 2) - (windowSize.width / 2), (screenSize.height / 2) - (windowSize.height / 2));
   }

    public synchronized void show() {
      super.show();
    }

   public boolean handleEvent(Event event)
   {
     if (event.id == Event.WINDOW_DESTROY)
     { 
       dispose();
       return true;
     }
     return super.handleEvent(event);
   }
}



