import com.ibm.eNetwork.ECL.*;
import java.util.*;

/**
 * The intent of this class is to recognize when logon is complete.  For our
 * system this denoted by the "ready" prompt which consist of the words
 * "Ready", and when the words "RUNNING" in the lower right hand corner
 * of the screen.  
 */
 class SAReady extends ScreenAction implements HostLPConstants {
 
  // See the comments in ScreenAction and in SAVMLogin for a description     
  // of the logic here.

  final static String[] RUNNING   = { "RUNNING" };
  final static String[] Ready     = { "Ready;" };

  public SAReady()
  {
     SetFootprint(RUNNING, 1901);
  }

  public void TakeActionOnScreen (ECLPS ps, ScreenState MyScreenState)
  {
    // Check if screen has a "ready;" prompt.
    // If yes, then update State variable to say that the login is done.
    int pos = 1;

    if (MyScreenState.GetState() == SS_LOGON_STARTED)
    {
      pos = ps.SearchText(Ready[0], pos, ps.SEARCH_FORWARD);
      if (pos != 0)
      { // Found Ready;
        // No need for keyboard input, just change our state variable
        // to denote that the logon is complete.
        MyScreenState.UpdateState(SS_LOGON_FINISHED);

        return;
      }
    }
  }
}
