//-------------------------------------------------------------------
// ECLFieldList.Refresh()
//
// Refresh an instance of ECLFieldList which has gotten out of
// sync with the current presentation space.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample39 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample39()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLPS         ps;           // PS object
      ECLFieldList  fieldList;    // field list object

      try {
         ps = s.GetPS();                     // Get instance of ECLPS
         
         fieldList = ps.GetFieldList(ECLFieldList.ALL_PLANES);     // Get the field list
         
         // It is not necessary to Refresh() the field list right away
         // because it reflects the current state of the presentation 
         // space from which it was retreived.  If the state of the
         // presentation space changes, the field list will need to be
         // refreshed.
         fieldList.Refresh(ECLFieldList.TEXT_PLANE);               // Refresh it
      }
      catch (ECLErr Err) {
         System.out.println("Sample39(): " + Err.GetMsgText());
      }

   } // end sample

}
