//-------------------------------------------------------------------
// ECLFieldList.FindField()
//
// Display the field which contains row 2 column 10.  Also find
// the first field containing a particular string.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample43 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample43()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLPS        ps;           // PS object
      ECLFieldList fieldList;    // field list object
      ECLField     field;        // field object
      char[]       buff;
      int          len;

      try {
        ps = s.GetPS();                                        // Get instance of ECLPS   
        buff = new char[ps.GetSize()+1];

        fieldList = ps.GetFieldList(ECLFieldList.ALL_PLANES);  // Get instance of ECLFieldList

        // Find by row,column coordinate
        field = fieldList.FindField(2, 40);
        if (field != null) {
           len = field.GetScreen(buff, buff.length, ECLField.TEXT_PLANE);
           System.out.println("Field at 2,40: '" + String.valueOf(buff,0,len) + "'");
        }
        else System.out.println("No field found at 2,40.");

        // Find by text.  Note that text may span fields, this
        // will find the field in which the text starts.
        field = fieldList.FindField("IBM", ECLField.SEARCH_FORWARD);
        if (field != null) {
          System.out.println("String 'IBM' found in field that starts at " + field.GetStartRow() + ", " + field.GetStartCol());
        }
        else System.out.println("String 'IBM' not found.");

      } catch (ECLErr e) { System.out.println("Sample43(): " + e.GetMsgText()); }
      
   } // end sample

}
